Bug 12629 - tesparm on a AD DC outputs "ERROR: Invalid idmap range for domain *! "
tesparm on a AD DC outputs "ERROR: Invalid idmap range for domain *! "
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.6.0
All All
: P5 minor
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-10 22:17 UTC by Miguel Medalha
Modified: 2017-11-27 09:59 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.7 (1.26 KB, patch)
2017-08-23 15:16 UTC, Andreas Schneider
jra: review+
Details
patch for 4.6 (1.26 KB, patch)
2017-08-23 15:20 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miguel Medalha 2017-03-10 22:17:12 UTC
When run on a Samba 4.6.0 AD DC, the "testparm" tool outputs the following:

idmap range not specified for domain '*'
ERROR: Invalid idmap range for domain *!

This is obviously targeted to a domain member and should not occur on a DC.

A check should be included in the tool to verify which server role it is being run on.

Thank you.
Comment 1 Andreas Schneider 2017-08-23 15:16:38 UTC
Created attachment 13493 [details]
patch for 4.7
Comment 2 Andreas Schneider 2017-08-23 15:20:19 UTC
Created attachment 13495 [details]
patch for 4.6
Comment 3 Thomas Bork 2017-08-23 19:44:23 UTC
I think a check is also needed, if the server role is ROLE_DOMAIN_PDC:

pvscsi # testparm
Load smb config files from /etc/smb.conf
rlimit_max: increasing rlimit_max (1024) to minimum Windows limit (16384)
Processing section "[netlogon]"
Processing section "[homes]"
Processing section "[public]"
Processing section "[print$]"
Loaded services file OK.
idmap range not specified for domain '*'
ERROR: Invalid idmap range for domain *!

Server role: ROLE_DOMAIN_PDC
Comment 4 Jeremy Allison 2017-08-23 20:09:28 UTC
Reassigning to Karolin for inclusion in 4.7.0, 4.6.next.
Comment 5 Karolin Seeger 2017-08-28 07:56:45 UTC
Pushed to autobuild-v4-{6,7}-test.
Comment 6 Karolin Seeger 2017-08-30 06:59:10 UTC
Pushed to both branches.
Closing out bug report.

Thanks!
Comment 7 Björn Jacke 2017-11-27 09:59:23 UTC
It should have been noticed that "testparm" is not made for Samba in AD DC mode. "samba-tool testparm" is what needs to be called on AD DCs.

Andreas: is your patch valid nevertheless?